module Rolling.Ironsworn (roll) where

import Rolling.Common

judge :: Int -> Int -> Int -> Result
judge r a b
  | r < a && r < b = Failure
  | r < a || r < b = Partial
  | otherwise = Success

roll :: Int -> Prob Result
roll m = normalize $ do
  r <- die 6
  a <- die 10
  b <- die 10
  return (judge (r + m) a b)
