module Rolling.PBTA (roll) where

import Rolling.Common

judge :: Int -> Result
judge n
  | n <= 6 = Failure
  | n <= 9 = Partial
  | otherwise = Success

roll :: Int -> Prob Result
roll m = normalize $ do
  a <- die 6
  b <- die 6
  return (judge (a + b + m))
